# Generated by Django 3.2.12 on 2022-03-29 12:31

from django.db import migrations, models

import saleor.order.models


class Migration(migrations.Migration):

    dependencies = [
        ("order", "0128_set_order_number"),
    ]

    operations = [
        migrations.AlterField(
            model_name="order",
            name="number",
            field=models.IntegerField(unique=True),
        ),
        # define auto incrementing for order number field
        migrations.RunSQL(
            """
            CREATE SEQUENCE order_order_number_seq OWNED BY order_order.number;

            SELECT setval('order_order_number_seq', coalesce(max(number), 0) + 1, false)
            FROM order_order;
        """
        ),
        migrations.AlterField(
            model_name="order",
            name="number",
            field=models.IntegerField(
                default=saleor.order.models.get_order_number,
                editable=False,
                unique=True,
            ),
        ),
    ]
